Unit tash1c_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, ASH1C_p;

function tash1c: String;

implementation

function tash1c: String;
var
N,_i,IERR :Integer;
X :Array [0..3] of Complex;
const
A :Array [0..9] of Complex = ( ( re:1.0; im:0.0 ),( re:1.0; im:1.0 ),( re:3.0; 
im:0.0 ),( re:2.0; im:1.0 ),( re:5.0; im:0.0 ),( 
re:11.0; im:0.0 ),( re:3.0; im:1.0 ),( re:7.0; 
im:-1.0 ),( re:17.0; im:-1.0 ),( re:31.0; im: 0.0 
) );
B :Array [0..3] of Complex = ( ( re:3.0; im:-1.0 ),( re:7.0; im:1.0 ),( 
re:17.0; im:1.0 ),( re:31.0; im: 0.0 ) );
begin
Result := '';  {   }
N := 4;
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
ASH1C(A,B,X,N,1,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 9 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[A[_i].re,A[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f %20.16f ',[X[_i].re,X[_i].im]);
  if ( ((_i+1) mod 2)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tash1c',Result);  {     tash1c.res }
exit;
end;

end.
